#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QFileDialog>
#include <QMenu>
#include <QMenuBar>
#include <QVBoxLayout>
#include <QTreeView>
#include <QHeaderView>
#include <QStatusBar>

#include "xmlparsingmodel.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_open_action_clicked();
    void on_close_action_clicked();
    void on_exit_action_clicked();
    void on_fullscreen_action_clicked();

private:
    QAction* make_action(const QString& p_name, const QString& p_tip, const char* p_slot);
    QFileDialog* file_dialog;
    QMenu* menu;
    QTreeView* xml_view;
    QVBoxLayout* main_layout;
};
#endif // MAINWINDOW_H
